Agent-readable docs index: /llms.txt. Download /docs.zip to grep all markdown files locally.

List voices

GET https://api.vakyam.ai/v1/voices
Returns all active voices. Pass a returned voice_name value as the voice parameter (with its language) in synthesis requests.

Authorization

header Authorizationstringrequired
Bearer token: Bearer vak_live_<key>.

Query parameters

query group_bystringdefault: language
How to group the response. One of language or voice.

Response

The response shape depends on the group_by query parameter.
Each key is a BCP 47 language code mapping to an array of voices available in that language.
{ "ta-IN": [ { "voice_name": "Archana", "gender": "female" }, { "voice_name": "Kiran", "gender": "male" } ] }
voice_namestring
Name of the voice. Use this in synthesis requests.
genderstring
male or female.
Request example
curl "https://api.vakyam.ai/v1/voices?group_by=language" \ -H "Authorization: Bearer $VAKYAM_API_KEY"
Response example
{ "ta-IN": [ { "voice_name": "Archana", "gender": "female" }, { "voice_name": "Kiran", "gender": "male" } ], "hi-IN": [ { "voice_name": "Priya", "gender": "female" }, { "voice_name": "Mohan", "gender": "male" } ] }